<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Grafting](./bitburner.grafting.md) &gt; [getGraftableAugmentations](./bitburner.grafting.getgraftableaugmentations.md)

## Grafting.getGraftableAugmentations() method

Retrieves a list of augmentations that can be grafted.

**Signature:**

```typescript
getGraftableAugmentations(): string[];
```
**Returns:**

string\[\]

An array of graftable augmentations.

## Remarks

RAM cost: 5 GB

Note:

- This function returns a list of currently graftable augmentations, based on the augmentations that you already own.

- This function does not check your current money and prerequisite augmentations. For example, it returns "Augmented Targeting II" even when you don't have enough money to graft that augmentation or don't have the prerequisite augmentation ("Augmented Targeting I").

